package com.sf.oauth.enums;

import java.util.*;

/**
 * @author zoukun
 */
public enum AuthPlatformInfo {

    /**
     * 平台
     */
    HUAWEI("华为", "huawei", "https://developer.huawei.com/consumer/cn/doc/HMSCore-Guides/open-platform-oauth-0000001053629189"),
    ;

    /**
     * 平台名
     */
    private final String name;
    /**
     * 平台编码
     */
    private final String code;
    /**
     * 官网api文档
     */
    private final String apiDoc;

    AuthPlatformInfo(String name, String code, String apiDoc) {
        this.name = name;
        this.code = code;
        this.apiDoc = apiDoc;
    }

    public static List<AuthPlatformInfo> getPlatformInfos() {
        return Arrays.asList(AuthPlatformInfo.values());
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    public String getApiDoc() {
        return apiDoc;
    }

}
